> ## Documentation Index
> Fetch the complete documentation index at: https://docs.terminaluse.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Groups

> List groups visible to the current principal.



## OpenAPI

````yaml openapi.json GET /groups
openapi: 3.1.0
info:
  title: Sb0 API
  version: 0.1.0
servers: []
security: []
paths:
  /groups:
    get:
      tags:
        - Groups
      summary: List Groups
      description: List groups visible to the current principal.
      operationId: groups_list
      parameters:
        - description: Optional owner org filter.
          in: query
          name: owner_org_id
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            description: Optional owner org filter.
            title: Owner Org Id
        - in: query
          name: limit
          required: false
          schema:
            default: 50
            maximum: 200
            minimum: 1
            title: Limit
            type: integer
        - in: query
          name: page_number
          required: false
          schema:
            default: 1
            minimum: 1
            title: Page Number
            type: integer
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AccessGroupListResponse'
          description: Successful Response
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Validation Error
components:
  schemas:
    AccessGroupListResponse:
      properties:
        groups:
          items:
            $ref: '#/components/schemas/AccessGroup'
          title: Groups
          type: array
      title: AccessGroupListResponse
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    AccessGroup:
      properties:
        created_at:
          anyOf:
            - format: date-time
              type: string
            - type: 'null'
          description: Creation timestamp.
          title: Created At
        created_by:
          description: member_id of the creator.
          title: Created By
          type: string
        description:
          anyOf:
            - type: string
            - type: 'null'
          description: Optional group description.
          title: Description
        id:
          description: Access group id.
          title: Id
          type: string
        name:
          description: Group name.
          title: Name
          type: string
        owner_org_id:
          description: Owner organization id.
          title: Owner Org Id
          type: string
        updated_at:
          anyOf:
            - format: date-time
              type: string
            - type: 'null'
          description: Last update timestamp.
          title: Updated At
      required:
        - id
        - owner_org_id
        - name
        - created_by
      title: AccessGroup
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object

````